using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATScheduledItem-old")]
public partial class AtscheduledItemOld
{
    [StringLength(255)]
    public string? ServerHost { get; set; }

    [StringLength(255)]
    public string Name { get; set; } = null!;

    [StringLength(255)]
    public string Description { get; set; } = null!;

    public int Enabled { get; set; }

    public int Wait { get; set; }

    [Column(TypeName = "text")]
    public string Schedule { get; set; } = null!;

    [Column(TypeName = "text")]
    public string Tasks { get; set; } = null!;

    public int Status { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? LastRun { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? NextRun { get; set; }

    public int? Priority { get; set; }

    public int? LastRunStatus { get; set; }
}